processing.app.platform

## Class WindowsPlatform

- Object
- - Platform
  - - WindowsPlatform

-     public class WindowsPlatform
      extends Platform

  Platform-specific glue for Windows.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `WindowsPlatform.WinLibC`

    - ### Nested classes/interfaces inherited from class Platform

      `Platform.CLibrary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsPlatform()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getDefaultSketchbookFolder()`
    `String` | `getenv(String variable)`
    `File` | `getSettingsFolder()` This function should throw an exception or return a value.
    `void` | `init(Base base)`
    `void` | `setenv(String variable, String value)`
    `int` | `unsetenv(String variable)`

    - ### Methods inherited from class Platform

      `deleteFile, openFolder, openFolderAvailable, openURL, saveLanguage, setLookAndFeel`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsPlatform

          public WindowsPlatform()

  - ### Method Detail

    - #### init

          public void init(Base base)

      Overrides:
        `init` in class `Platform`

    - #### getSettingsFolder

          public File getSettingsFolder()
                                 throws Exception

      Description copied from class: `Platform`
      This function should throw an exception or return a value. Do not return null.
      Overrides:
        `getSettingsFolder` in class `Platform`
      Throws:
        `Exception`

    - #### getDefaultSketchbookFolder

          public File getDefaultSketchbookFolder()
                                          throws Exception

      Overrides:
        `getDefaultSketchbookFolder` in class `Platform`
      Returns:
        if not overridden, a folder named "sketchbook" in user.home.
      Throws:
        `Exception` - so that subclasses can throw a fit

    - #### setenv

          public void setenv(String variable,
                             String value)

      Overrides:
        `setenv` in class `Platform`

    - #### getenv

          public String getenv(String variable)

      Overrides:
        `getenv` in class `Platform`

    - #### unsetenv

          public int unsetenv(String variable)

      Overrides:
        `unsetenv` in class `Platform`